OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Blackdown Jre On Simpad, Running GUI programs
mjones4002
post Jul 7 2005, 06:48 PM
Post #1





Group: Members
Posts: 5
Joined: 17-June 05
Member No.: 7,375



Has anyone got Blackdown jre to work on a Simpad?

Simpad SL4 running Open embedded 2.5 (0.9.0rc1) GPE

Using libc6 v 2.3.2+cvs20040726-r12
No glibc-locale* added

Installed the following;
# ipkg install libxt_4.2.20030122_10_arm.ipk
# ipkg install xlibs_4.2.20030122-6_arm.ipk
# ipkg install -d cf blackdown-jre_1.3.1-RC1_arm.ipk
# ipkg install blacdown-add_1.3.1_arm.ipk
# ipkg install libstdc++2.10-glibc2.2_2.95.4-0.010407_arm.ipk

Added;
# export JAVA__HOME=/mnt/cf/j2re1.3.1
# export PATH=$PATH:$JAVA_HOME/bin
# export LD_LIBRARY_PATH=/mnt/cf/usr/X11R6/lib

Java appears to be installed.

root@simpad:/mnt/cf/Leotest# java -version
java version "1.3.1"
Java™ 2 Runtime Environment, Standard Edition (build Blackdown-1.3.1-RC1)
Classic VM (build Blackdown-1.3.1-RC1, native threads, nojit)
root@simpad:/mnt/cf/Leotest#

But when I try to run a GUI app I get the following;

root@simpad:/mnt/cf/Leotest# java -jar cube.jar
Font specified in font.properties not found [-*-standard symbols l-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific] *20 lines of the same thing*
failed
current locale is not supported in X11, locale is set to CX locale modifiers are not supported, using defaultfree(): invalid pointer 0x40129!
/mnt/cf/j2re1.3.1/bin/armv4l/native_threads/java: symbol lookup error: /mnt/cf/usr/X11R6/lib/libXm.so.2: undefined symbol: XOpenIM
root@simpad:/mnt/cf/Leotest#

I'm not sure if this error is related to a locale. I tried;
# export LANG=en_US
# ldconfig
or
Is this related to some compatibility issue with glibc;

root@simpad:/mnt/cf/Leotest# ls -las /lib/libc.so*
0 lrwxrwxrwx 1 root root 13 Dec 31 1969 /lib/libc.so.6 -> libc-2.3.3.so

It was reported on a forum that the blackdown jre will not work on Familiar past v0.7.1? Is this correct?
http://forum.java.sun.com/thread.jspa?threadID=616989

Any suggestions? Thanks in advanced
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 19th April 2014 - 07:03 AM